pyruntest fails to build from source in trusty

Bug #1270812 reported by Matthias Klose on 2014-01-20
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
pyruntest (Ubuntu)
High
Dimitri John Ledkov
Trusty
High
Dimitri John Ledkov

Bug Description

see https://launchpadlibrarian.net/162444081/buildlog_ubuntu-trusty-i386.pyruntest_0.1%2B13.10.20130702-0ubuntu1_FAILEDTOBUILD.txt.gz

running build
running build_scripts
creating build
creating build/scripts-2.7
copying and adjusting pyruntest -> build/scripts-2.7
changing mode of build/scripts-2.7/pyruntest from 664 to 775
   debian/rules override_dh_auto_test
make[1]: Entering directory `/build/buildd/pyruntest-0.1+13.10.20130702'
nosetests
....F..............
======================================================================
FAIL: tests.FunctionalRunTests.test_can_generate_html_coverage
----------------------------------------------------------------------
_StringException: Traceback (most recent call last):
  File "/build/buildd/pyruntest-0.1+13.10.20130702/tests.py", line 197, in test_can_generate_html_coverage
    self.assertThat(code, Equals(0))
  File "/usr/lib/python2.7/dist-packages/testtools/testcase.py", line 412, in assertThat
    raise MismatchError(matchee, matcher, mismatch, verbose)
MismatchError: 0 != 1

----------------------------------------------------------------------
Ran 19 tests in 4.411s

FAILED (failures=1)
make[1]: *** [override_dh_auto_test] Error 1

Timo Jyrinki (timo-jyrinki) wrote :

Thomi, can you look at this?

Changed in pyruntest (Ubuntu Trusty):
assignee: nobody → Thomi Richards (thomir)
Matthias Klose (doko) wrote :

ping?

Changed in pyruntest (Ubuntu Trusty):
milestone: ubuntu-14.01 → ubuntu-14.02
Changed in pyruntest (Ubuntu Trusty):
assignee: Thomi Richards (thomir) → Dimitri John Ledkov (xnox)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pyruntest - 0.1+13.10.20130702-0ubuntu3

---------------
pyruntest (0.1+13.10.20130702-0ubuntu3) trusty; urgency=medium

  * Fix FTBFS (LP: #1270812):
    + Pass "cover_pylib=True" to coverage, as it now defaults to not cover
      modules installed in standard library.
    + Add jquery build-dependencies for coverage to be able to produce
      html coverage reports.
 -- Dimitri John Ledkov <email address hidden> Sat, 15 Mar 2014 23:12:17 +0000

Changed in pyruntest (Ubuntu Trusty):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers